Bug 505576 - perl-PAR-Packer not built with $RPM_OPT_FLAGS
perl-PAR-Packer not built with $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-PAR-Packer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-06-12 09:53 EDT by Ville Skyttä
Modified: 2009-09-22 04:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 04:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-06-12 09:53:47 EDT
http://kojipkgs.fedoraproject.org/packages/perl-PAR-Packer/0.991/1.fc12/data/logs/x86_64/build.log

For example:

gcc -c -D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm  -I/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/CORE  sha1.c

No $RPM_OPT_FLAGS there.  See bug 496968 for more info.

Also, while at it, any reason why parallel build is not used?  And why is the test suite disabled?  If there are reasons for these, would be good to document them in the specfile.
Comment 1 Marcela Mašláňová 2009-06-16 08:17:14 EDT
(In reply to comment #0)
> http://kojipkgs.fedoraproject.org/packages/perl-PAR-Packer/0.991/1.fc12/data/logs/x86_64/build.log
> 
> For example:
> 
> gcc -c -D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe
> -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
> -I/usr/include/gdbm  -I/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/CORE 
> sha1.c
> 
> No $RPM_OPT_FLAGS there.  See bug 496968 for more info.
> 
Hm RPM_OPT_FLAFS are set but not used.

> Also, while at it, any reason why parallel build is not used?  And why is the
> test suite disabled?  If there are reasons for these, would be good to document
> them in the specfile.  
This will be commented. Paralel build is failing and test needed some requirement which wasn't fulfilled before.
Comment 2 Marcela Mašláňová 2009-08-21 07:19:39 EDT
Parallel build was added, gcc isn't used in the latest version which fixed problem with RPM_OPT_FLAGS.
Comment 3 Ville Skyttä 2009-08-26 17:30:51 EDT
Hmm, where were these changes made?  I don't see any changes in CVS nor new builds in koji.
Comment 4 Ville Skyttä 2009-09-20 14:01:08 EDT
Ping?
Comment 5 Stepan Kasal 2009-09-22 04:18:35 EDT
fixed in perl-PAR-Packer-0.991-3

Note You need to log in before you can comment on or make changes to this bug.